[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TCustomControl.Destroy

Destroy - destructor for TCustomControl: frees local Canvas then performs inherited Destroy

## Declaration

Source position: controls.pp line 1937

`public destructor TCustomControl.Destroy; override;`

## Description

Destroy - destructor for TCustomControl: frees local Canvas then performs inherited Destroy

Overrides ancestor destructors, may be overridden

## See also

TControl.Destroy |  | Destroy - Destructor for TControl. Detaches control from parents, removes graphics, frees memory and Operating System handles, pointers etc
TWinControl.Destroy |  | Destroy - destructor for TWinControl and derived classes. Removes handles and docked controls, frees resources, then calls inherited Destroy

The latest version of this document can be found at lazarus-ccr.sourceforge.net.